{composerEnv, fetchurl, fetchgit ? null, fetchhg ? null, fetchsvn ? null, noDev ? false}:

let
  packages = {
    "adldap2/adldap2" = {
      targetDir = "";
      src = fetchgit {
        name = "adldap2-adldap2-b2203d800c5932f975abc213c659428697e27cd9";
        url = "https://github.com/Adldap2/Adldap2.git";
        rev = "b2203d800c5932f975abc213c659428697e27cd9";
        sha256 = "0ipb2hizak0rk1m6pbyrsm01sxqijbd983anzp7w9qfjbkkwbpkb";
      };
    };
    "alek13/slack" = {
      targetDir = "";
      src = fetchgit {
        name = "alek13-slack-9db79a622803bf7baf0efafb50e37b900882f7fb";
        url = "https://github.com/php-slack/slack.git";
        rev = "9db79a622803bf7baf0efafb50e37b900882f7fb";
        sha256 = "07axpl34krgsj8cflk8x7flgx328mn21p8vlfpjdkigiszngmcnf";
      };
    };
    "asm89/stack-cors" = {
      targetDir = "";
      src = fetchgit {
        name = "asm89-stack-cors-b9c31def6a83f84b4d4a40d35996d375755f0e08";
        url = "https://github.com/asm89/stack-cors.git";
        rev = "b9c31def6a83f84b4d4a40d35996d375755f0e08";
        sha256 = "1qkh2krf0v15a2xjwmjgvy7bl8jmr4avwgc8avq8ihzvq3cihdws";
      };
    };
    "aws/aws-sdk-php" = {
      targetDir = "";
      src = fetchgit {
        name = "aws-aws-sdk-php-6c919bc226f7ff3fbcbce948f31e618066d02ad0";
        url = "https://github.com/aws/aws-sdk-php.git";
        rev = "6c919bc226f7ff3fbcbce948f31e618066d02ad0";
        sha256 = "1lfcjsxj2nc32873m23z30qkkqx7vs54jljbdahwp78brllggsi4";
      };
    };
    "bacon/bacon-qr-code" = {
      targetDir = "";
      src = fetchgit {
        name = "bacon-bacon-qr-code-5a91b62b9d37cee635bbf8d553f4546057250bee";
        url = "https://github.com/Bacon/BaconQrCode.git";
        rev = "5a91b62b9d37cee635bbf8d553f4546057250bee";
        sha256 = "1p8sjzhp430di5rik2272ns8wgq16vdspxbzyhzkgclzhk5js7w2";
      };
    };
    "barryvdh/laravel-cors" = {
      targetDir = "";
      src = fetchgit {
        name = "barryvdh-laravel-cors-03492f1a3bc74a05de23f93b94ac7cc5c173eec9";
        url = "https://github.com/fruitcake/laravel-cors.git";
        rev = "03492f1a3bc74a05de23f93b94ac7cc5c173eec9";
        sha256 = "0wbpv919z5rx4z3gns0czyk6jzcgdhmnhydi17qx6vsciv12z53x";
      };
    };
    "barryvdh/laravel-debugbar" = {
      targetDir = "";
      src = fetchgit {
        name = "barryvdh-laravel-debugbar-70b89754913fd89fef16d0170a91dbc2a5cd633a";
        url = "https://github.com/barryvdh/laravel-debugbar.git";
        rev = "70b89754913fd89fef16d0170a91dbc2a5cd633a";
        sha256 = "01plk2a0spvaxjww2247icy68i1sxvph0x2lgviza8rajwzng4vw";
      };
    };
    "defuse/php-encryption" = {
      targetDir = "";
      src = fetchgit {
        name = "defuse-php-encryption-77880488b9954b7884c25555c2a0ea9e7053f9d2";
        url = "https://github.com/defuse/php-encryption.git";
        rev = "77880488b9954b7884c25555c2a0ea9e7053f9d2";
        sha256 = "01rag5p6d9bgfbfxax8v0ppd3n86269ii397rjmc8ln1xknx006r";
      };
    };
    "doctrine/annotations" = {
      targetDir = "";
      src = fetchgit {
        name = "doctrine-annotations-e6e7b7d5b45a2f2abc5460cc6396480b2b1d321f";
        url = "https://github.com/doctrine/annotations.git";
        rev = "e6e7b7d5b45a2f2abc5460cc6396480b2b1d321f";
        sha256 = "1qsn8hxd2bqjn3rpciaw175qr78yv03x7c4ba9yxkhl42qfp8ngb";
      };
    };
    "doctrine/cache" = {
      targetDir = "";
      src = fetchgit {
        name = "doctrine-cache-3bb5588cec00a0268829cc4a518490df6741af9d";
        url = "https://github.com/doctrine/cache.git";
        rev = "3bb5588cec00a0268829cc4a518490df6741af9d";
        sha256 = "1g14vnkln9rvs7hsv9b8m5dg4zwb1xgx3wj1ns5s363fiz2h1as0";
      };
    };
    "doctrine/collections" = {
      targetDir = "";
      src = fetchgit {
        name = "doctrine-collections-55f8b799269a1a472457bd1a41b4f379d4cfba4a";
        url = "https://github.com/doctrine/collections.git";
        rev = "55f8b799269a1a472457bd1a41b4f379d4cfba4a";
        sha256 = "05ywkryqakqx6k4ajl1x2q51bqm0zj530fqjb2748940g9p4fr3s";
      };
    };
    "doctrine/common" = {
      targetDir = "";
      src = fetchgit {
        name = "doctrine-common-f3812c026e557892c34ef37f6ab808a6b567da7f";
        url = "https://github.com/doctrine/common.git";
        rev = "f3812c026e557892c34ef37f6ab808a6b567da7f";
        sha256 = "0l6w032f2bqfyjcjhbf3db3n8k3xw7dznia1wxbcswcvr4zxysx1";
      };
    };
    "doctrine/dbal" = {
      targetDir = "";
      src = fetchgit {
        name = "doctrine-dbal-8dd39d2ead4409ce652fd4f02621060f009ea5e4";
        url = "https://github.com/doctrine/dbal.git";
        rev = "8dd39d2ead4409ce652fd4f02621060f009ea5e4";
        sha256 = "02970nqmb210zyi71l6ri3cfjnhhqc2i77fa2qn179ffmgnd2g3w";
      };
    };
    "doctrine/deprecations" = {
      targetDir = "";
      src = fetchgit {
        name = "doctrine-deprecations-9504165960a1f83cc1480e2be1dd0a0478561314";
        url = "https://github.com/doctrine/deprecations.git";
        rev = "9504165960a1f83cc1480e2be1dd0a0478561314";
        sha256 = "08ibwyarnnfk1wz6gsj3cqhcpvy489gwv836vcc59ym99rsg7j0h";
      };
    };
    "doctrine/event-manager" = {
      targetDir = "";
      src = fetchgit {
        name = "doctrine-event-manager-41370af6a30faa9dc0368c4a6814d596e81aba7f";
        url = "https://github.com/doctrine/event-manager.git";
        rev = "41370af6a30faa9dc0368c4a6814d596e81aba7f";
        sha256 = "05lx8sq6af0mavwfapxpx782z3vr8j9p6n9gzqglrcpx5shl9faz";
      };
    };
    "doctrine/inflector" = {
      targetDir = "";
      src = fetchgit {
        name = "doctrine-inflector-4bd5c1cdfcd00e9e2d8c484f79150f67e5d355d9";
        url = "https://github.com/doctrine/inflector.git";
        rev = "4bd5c1cdfcd00e9e2d8c484f79150f67e5d355d9";
        sha256 = "0q2ryl4x46pcy55r914gid8qhghw6jwx3bj9n0hbnqagxi52paq7";
      };
    };
    "doctrine/instantiator" = {
      targetDir = "";
      src = fetchgit {
        name = "doctrine-instantiator-d56bf6102915de5702778fe20f2de3b2fe570b5b";
        url = "https://github.com/doctrine/instantiator.git";
        rev = "d56bf6102915de5702778fe20f2de3b2fe570b5b";
        sha256 = "0jzv6bx70542hvi3xz1dcdg6n6wi272b9ykflkxp4knkna8g5232";
      };
    };
    "doctrine/lexer" = {
      targetDir = "";
      src = fetchgit {
        name = "doctrine-lexer-e864bbf5904cb8f5bb334f99209b48018522f042";
        url = "https://github.com/doctrine/lexer.git";
        rev = "e864bbf5904cb8f5bb334f99209b48018522f042";
        sha256 = "1j17c5v03cg54b6msm7my518ba4qmcin1mi7s15ynr99j4ldmb9m";
      };
    };
    "doctrine/persistence" = {
      targetDir = "";
      src = fetchgit {
        name = "doctrine-persistence-7a6eac9fb6f61bba91328f15aa7547f4806ca288";
        url = "https://github.com/doctrine/persistence.git";
        rev = "7a6eac9fb6f61bba91328f15aa7547f4806ca288";
        sha256 = "1jjfxj84hkbr8avy3bjp6v60pfpcaxk5vwflvw1apf4y8qsymgix";
      };
    };
    "doctrine/reflection" = {
      targetDir = "";
      src = fetchgit {
        name = "doctrine-reflection-fa587178be682efe90d005e3a322590d6ebb59a5";
        url = "https://github.com/doctrine/reflection.git";
        rev = "fa587178be682efe90d005e3a322590d6ebb59a5";
        sha256 = "00iczhrxrl3hgm0816hm7a8wq343ivx562xx65liv5rk1hc0fgxk";
      };
    };
    "dragonmantank/cron-expression" = {
      targetDir = "";
      src = fetchgit {
        name = "dragonmantank-cron-expression-65b2d8ee1f10915efb3b55597da3404f096acba2";
        url = "https://github.com/dragonmantank/cron-expression.git";
        rev = "65b2d8ee1f10915efb3b55597da3404f096acba2";
        sha256 = "1lphyf5y59fgqls7z2m1b1wpx9l3w1z3rrl9nvp2mb7b7vflszdr";
      };
    };
    "eduardokum/laravel-mail-auto-embed" = {
      targetDir = "";
      src = fetchgit {
        name = "eduardokum-laravel-mail-auto-embed-83349a6a35560edb1c95e31205e2a848d73196ef";
        url = "https://github.com/eduardokum/laravel-mail-auto-embed.git";
        rev = "83349a6a35560edb1c95e31205e2a848d73196ef";
        sha256 = "0zx5ldxa9w6l48l6kws2c1ab35sym9mgcy7zia4zfm06iam544fi";
      };
    };
    "egulias/email-validator" = {
      targetDir = "";
      src = fetchgit {
        name = "egulias-email-validator-0dbf5d78455d4d6a41d186da50adc1122ec066f4";
        url = "https://github.com/egulias/EmailValidator.git";
        rev = "0dbf5d78455d4d6a41d186da50adc1122ec066f4";
        sha256 = "0ngvh7bsa8gqyqx8q819c406iq5cl6q99m1rsdiwxl2hzghvirfs";
      };
    };
    "enshrined/svg-sanitize" = {
      targetDir = "";
      src = fetchgit {
        name = "enshrined-svg-sanitize-bc66593f255b7d2613d8f22041180036979b6403";
        url = "https://github.com/darylldoyle/svg-sanitizer.git";
        rev = "bc66593f255b7d2613d8f22041180036979b6403";
        sha256 = "1z11k72080k2zrg9wwgvli3zzhjzz6dkpyr0kjk52wxs5i1ic2iy";
      };
    };
    "erusev/parsedown" = {
      targetDir = "";
      src = fetchgit {
        name = "erusev-parsedown-cb17b6477dfff935958ba01325f2e8a2bfa6dab3";
        url = "https://github.com/erusev/parsedown.git";
        rev = "cb17b6477dfff935958ba01325f2e8a2bfa6dab3";
        sha256 = "038a6jmjlrah7ic8q99qdvbr4ffh2178gzbh9igdh9fa2i5smv16";
      };
    };
    "fideloper/proxy" = {
      targetDir = "";
      src = fetchgit {
        name = "fideloper-proxy-c073b2bd04d1c90e04dc1b787662b558dd65ade0";
        url = "https://github.com/fideloper/TrustedProxy.git";
        rev = "c073b2bd04d1c90e04dc1b787662b558dd65ade0";
        sha256 = "0bpik4pr0yqp3b81xj00aim1x9ny5brrr89mn9qhy5hp3rdslk5p";
      };
    };
    "filp/whoops" = {
      targetDir = "";
      src = fetchgit {
        name = "filp-whoops-2edbc73a4687d9085c8f20f398eebade844e8424";
        url = "https://github.com/filp/whoops.git";
        rev = "2edbc73a4687d9085c8f20f398eebade844e8424";
        sha256 = "16a1z862whs9k8h3bwmwwdkfrgnx32ipa22qlgxw13l55r9gxzjr";
      };
    };
    "firebase/php-jwt" = {
      targetDir = "";
      src = fetchgit {
        name = "firebase-php-jwt-d2113d9b2e0e349796e72d2a63cf9319100382d2";
        url = "https://github.com/firebase/php-jwt.git";
        rev = "d2113d9b2e0e349796e72d2a63cf9319100382d2";
        sha256 = "0v6k3rf7xaiz0n8kzhkmgi7v6m0w5jmbb0zn3jq86r40svcwjm1l";
      };
    };
    "guzzlehttp/guzzle" = {
      targetDir = "";
      src = fetchgit {
        name = "guzzlehttp-guzzle-9d4290de1cfd701f38099ef7e183b64b4b7b0c5e";
        url = "https://github.com/guzzle/guzzle.git";
        rev = "9d4290de1cfd701f38099ef7e183b64b4b7b0c5e";
        sha256 = "0mmzmmazmxgl4yfnwkid8zhqlhnqy07pwvkyl68ipijhmbh9rp8i";
      };
    };
    "guzzlehttp/promises" = {
      targetDir = "";
      src = fetchgit {
        name = "guzzlehttp-promises-8e7d04f1f6450fef59366c399cfad4b9383aa30d";
        url = "https://github.com/guzzle/promises.git";
        rev = "8e7d04f1f6450fef59366c399cfad4b9383aa30d";
        sha256 = "1x8dd4xadlynsxmbh97n5agjia381v1jjgmdk51r1cxchwhkzdng";
      };
    };
    "guzzlehttp/psr7" = {
      targetDir = "";
      src = fetchgit {
        name = "guzzlehttp-psr7-dc960a912984efb74d0a90222870c72c87f10c91";
        url = "https://github.com/guzzle/psr7.git";
        rev = "dc960a912984efb74d0a90222870c72c87f10c91";
        sha256 = "0s96yr65brxdgrgs941qc46xfnsffhwc3mm8mlq3300y8s7zlyx1";
      };
    };
    "intervention/image" = {
      targetDir = "";
      src = fetchgit {
        name = "intervention-image-abbf18d5ab8367f96b3205ca3c89fb2fa598c69e";
        url = "https://github.com/Intervention/image.git";
        rev = "abbf18d5ab8367f96b3205ca3c89fb2fa598c69e";
        sha256 = "0pkjpi0ra1gq30yyqljz4l0r40hjcwnqn6zwdrja7sdz94lz1nlj";
      };
    };
    "javiereguiluz/easyslugger" = {
      targetDir = "";
      src = fetchgit {
        name = "javiereguiluz-easyslugger-11524a3fd70e3f0c98043755a0ffa228f2529211";
        url = "https://github.com/javiereguiluz/EasySlugger.git";
        rev = "11524a3fd70e3f0c98043755a0ffa228f2529211";
        sha256 = "1ci2jhx57qx0x51ka24c2df9m9mgms4psxnvr28ka5r6djj5n9yf";
      };
    };
    "laminas/laminas-diactoros" = {
      targetDir = "";
      src = fetchgit {
        name = "laminas-laminas-diactoros-36ef09b73e884135d2059cc498c938e90821bb57";
        url = "https://github.com/laminas/laminas-diactoros.git";
        rev = "36ef09b73e884135d2059cc498c938e90821bb57";
        sha256 = "04abqxa8nl6a1kki35l630hv8a1jzbacfa9yjggh13m8y3dqy9jm";
      };
    };
    "laminas/laminas-zendframework-bridge" = {
      targetDir = "";
      src = fetchgit {
        name = "laminas-laminas-zendframework-bridge-6ede70583e101030bcace4dcddd648f760ddf642";
        url = "https://github.com/laminas/laminas-zendframework-bridge.git";
        rev = "6ede70583e101030bcace4dcddd648f760ddf642";
        sha256 = "1661mywahl7smba3yq6fxc4gzrxz8n0zmza8p4sqaxhd3igqdkk8";
      };
    };
    "laravel/framework" = {
      targetDir = "";
      src = fetchgit {
        name = "laravel-framework-00fa9c04aed10d68481f5757b89da0e6798f53b3";
        url = "https://github.com/laravel/framework.git";
        rev = "00fa9c04aed10d68481f5757b89da0e6798f53b3";
        sha256 = "0jb4pwdrr54qz7zyrk7yj9vx4b0md9rs4bdw589sx5anrsvfvhnk";
      };
    };
    "laravel/helpers" = {
      targetDir = "";
      src = fetchgit {
        name = "laravel-helpers-febb10d8daaf86123825de2cb87f789a3371f0ac";
        url = "https://github.com/laravel/helpers.git";
        rev = "febb10d8daaf86123825de2cb87f789a3371f0ac";
        sha256 = "1a6ab4ad9w5ggmd2y6hc4rcvp1h3lvgsnkp3fjmccyyxrh2n4vdl";
      };
    };
    "laravel/passport" = {
      targetDir = "";
      src = fetchgit {
        name = "laravel-passport-011bd500e8ae3d459b692467880a49ff1ecd60c0";
        url = "https://github.com/laravel/passport.git";
        rev = "011bd500e8ae3d459b692467880a49ff1ecd60c0";
        sha256 = "1333ib870xrxi538id2ai9k2ij2566nhpjchp4s01h1dpb5m4la4";
      };
    };
    "laravel/slack-notification-channel" = {
      targetDir = "";
      src = fetchgit {
        name = "laravel-slack-notification-channel-f428e76b8d0a0a2ff413ab225eeb829b9a8ffc20";
        url = "https://github.com/laravel/slack-notification-channel.git";
        rev = "f428e76b8d0a0a2ff413ab225eeb829b9a8ffc20";
        sha256 = "1gvfmgimh8shkw4kj5ap2389vazcjkf2l03bdra17d5fzr0lix48";
      };
    };
    "laravel/tinker" = {
      targetDir = "";
      src = fetchgit {
        name = "laravel-tinker-04ad32c1a3328081097a181875733fa51f402083";
        url = "https://github.com/laravel/tinker.git";
        rev = "04ad32c1a3328081097a181875733fa51f402083";
        sha256 = "0cb01fgbi0fwf0dcy9h6s8njlf6bbdd1ngv6pxfcimzv2b19grba";
      };
    };
    "laravelcollective/html" = {
      targetDir = "";
      src = fetchgit {
        name = "laravelcollective-html-ae15b9c4bf918ec3a78f092b8555551dd693fde3";
        url = "https://github.com/LaravelCollective/html.git";
        rev = "ae15b9c4bf918ec3a78f092b8555551dd693fde3";
        sha256 = "1yb80nrcmdybb0xpr3mrj2nngz7w7f5fxs5y1vcdicvym1wg52va";
      };
    };
    "lcobucci/jwt" = {
      targetDir = "";
      src = fetchgit {
        name = "lcobucci-jwt-511629a54465e89a31d3d7e4cf0935feab8b14c1";
        url = "https://github.com/lcobucci/jwt.git";
        rev = "511629a54465e89a31d3d7e4cf0935feab8b14c1";
        sha256 = "0ijg5hd5sincyal60z6gbza40ykla75xch8slygwlp0ya49k1i71";
      };
    };
    "league/commonmark" = {
      targetDir = "";
      src = fetchgit {
        name = "league-commonmark-c3c8b7217c52572fb42aaf84211abccf75a151b2";
        url = "https://github.com/thephpleague/commonmark.git";
        rev = "c3c8b7217c52572fb42aaf84211abccf75a151b2";
        sha256 = "1kbgxm3n18j7ds73irkj6zxgx31jc627s6jz74z9mxzsqcgq2ws9";
      };
    };
    "league/csv" = {
      targetDir = "";
      src = fetchgit {
        name = "league-csv-f28da6e483bf979bac10e2add384c90ae9983e4e";
        url = "https://github.com/thephpleague/csv.git";
        rev = "f28da6e483bf979bac10e2add384c90ae9983e4e";
        sha256 = "05mibbyfwbrhyzfpiwaavnf58wd343gqx73cp6rncqb7cv8fq97p";
      };
    };
    "league/event" = {
      targetDir = "";
      src = fetchgit {
        name = "league-event-d2cc124cf9a3fab2bb4ff963307f60361ce4d119";
        url = "https://github.com/thephpleague/event.git";
        rev = "d2cc124cf9a3fab2bb4ff963307f60361ce4d119";
        sha256 = "152mn83s3ycqlkgrpidhk59zflinzr3xaqb4sjdhxrchsi436ll2";
      };
    };
    "league/flysystem" = {
      targetDir = "";
      src = fetchgit {
        name = "league-flysystem-f3ad69181b8afed2c9edf7be5a2918144ff4ea32";
        url = "https://github.com/thephpleague/flysystem.git";
        rev = "f3ad69181b8afed2c9edf7be5a2918144ff4ea32";
        sha256 = "0d115w4w4yirdhf13a1595fk3xmsqx959k47g400g02xdalyc6w6";
      };
    };
    "league/flysystem-aws-s3-v3" = {
      targetDir = "";
      src = fetchgit {
        name = "league-flysystem-aws-s3-v3-4e25cc0582a36a786c31115e419c6e40498f6972";
        url = "https://github.com/thephpleague/flysystem-aws-s3-v3.git";
        rev = "4e25cc0582a36a786c31115e419c6e40498f6972";
        sha256 = "1dkvk2asqzkci197arwiw4h6s13l484jbgmfy3slc90yj25zgd27";
      };
    };
    "league/flysystem-cached-adapter" = {
      targetDir = "";
      src = fetchgit {
        name = "league-flysystem-cached-adapter-d1925efb2207ac4be3ad0c40b8277175f99ffaff";
        url = "https://github.com/thephpleague/flysystem-cached-adapter.git";
        rev = "d1925efb2207ac4be3ad0c40b8277175f99ffaff";
        sha256 = "03phiki8prnqk69q57xcghjy0glid15r568sd5fanqhpjsk71xwy";
      };
    };
    "league/mime-type-detection" = {
      targetDir = "";
      src = fetchgit {
        name = "league-mime-type-detection-3b9dff8aaf7323590c1d2e443db701eb1f9aa0d3";
        url = "https://github.com/thephpleague/mime-type-detection.git";
        rev = "3b9dff8aaf7323590c1d2e443db701eb1f9aa0d3";
        sha256 = "1s24df6akl53zzqp0lx32pzmyssgqppmw08r42ra97b1afkx1xzk";
      };
    };
    "league/oauth2-server" = {
      targetDir = "";
      src = fetchgit {
        name = "league-oauth2-server-97dbc97b3b1bc4e613b70cb5e0e07d4b2d9372cc";
        url = "https://github.com/thephpleague/oauth2-server.git";
        rev = "97dbc97b3b1bc4e613b70cb5e0e07d4b2d9372cc";
        sha256 = "0h4ppac711r97yyprlz9jwxghspz6xlg2278gwh50w91k9mf8d8k";
      };
    };
    "masterminds/html5" = {
      targetDir = "";
      src = fetchgit {
        name = "masterminds-html5-9227822783c75406cfe400984b2f095cdf03d417";
        url = "https://github.com/Masterminds/html5-php.git";
        rev = "9227822783c75406cfe400984b2f095cdf03d417";
        sha256 = "0jxz58hjzss7fnla33n39a2q5cqq5k3pm1i1jpzrbjays9y21l02";
      };
    };
    "maximebf/debugbar" = {
      targetDir = "";
      src = fetchgit {
        name = "maximebf-debugbar-6d51ee9e94cff14412783785e79a4e7ef97b9d62";
        url = "https://github.com/maximebf/php-debugbar.git";
        rev = "6d51ee9e94cff14412783785e79a4e7ef97b9d62";
        sha256 = "0yn1b189r26qcmfn8nyjrmn3q7s4wjkzaix3z6mv6fp1dlgb8s6g";
      };
    };
    "monolog/monolog" = {
      targetDir = "";
      src = fetchgit {
        name = "monolog-monolog-1cb1cde8e8dd0f70cc0fe51354a59acad9302084";
        url = "https://github.com/Seldaek/monolog.git";
        rev = "1cb1cde8e8dd0f70cc0fe51354a59acad9302084";
        sha256 = "0wzvn2vhqxkj9hj9zfg1y1vl4ppkh3wc0ccna1k18s8v64zbvg4w";
      };
    };
    "mtdowling/jmespath.php" = {
      targetDir = "";
      src = fetchgit {
        name = "mtdowling-jmespath.php-9b87907a81b87bc76d19a7fb2d61e61486ee9edb";
        url = "https://github.com/jmespath/jmespath.php.git";
        rev = "9b87907a81b87bc76d19a7fb2d61e61486ee9edb";
        sha256 = "0by4wvwzm4x3gi7wl1w3hfb2wwwr6ph993yd7yi2d76pyfwqm8by";
      };
    };
    "neitanod/forceutf8" = {
      targetDir = "";
      src = fetchgit {
        name = "neitanod-forceutf8-c1fbe70bfb5ad41b8ec5785056b0e308b40d4831";
        url = "https://github.com/neitanod/forceutf8.git";
        rev = "c1fbe70bfb5ad41b8ec5785056b0e308b40d4831";
        sha256 = "1fx7r4syy24xz4r5q3l99r3c141w6dig8chxy5a9cxpckg3n8g0f";
      };
    };
    "nesbot/carbon" = {
      targetDir = "";
      src = fetchgit {
        name = "nesbot-carbon-93d9db91c0235c486875d22f1e08b50bdf3e6eee";
        url = "https://github.com/briannesbitt/Carbon.git";
        rev = "93d9db91c0235c486875d22f1e08b50bdf3e6eee";
        sha256 = "1d1k50dyzhsyiz6161lgjkks4xb0dq6llx2li27nn8shz5qy3f46";
      };
    };
    "nikic/php-parser" = {
      targetDir = "";
      src = fetchgit {
        name = "nikic-php-parser-4432ba399e47c66624bc73c8c0f811e5c109576f";
        url = "https://github.com/nikic/PHP-Parser.git";
        rev = "4432ba399e47c66624bc73c8c0f811e5c109576f";
        sha256 = "12ffgzfsffvy5nncw559g108lp2f3hd9lss6dqcq54w33yp605pp";
      };
    };
    "nunomaduro/collision" = {
      targetDir = "";
      src = fetchgit {
        name = "nunomaduro-collision-f7c45764dfe4ba5f2618d265a6f1f9c72732e01d";
        url = "https://github.com/nunomaduro/collision.git";
        rev = "f7c45764dfe4ba5f2618d265a6f1f9c72732e01d";
        sha256 = "0ar4k0p0ikrkxa54jcmvbxg82ss40v06gw5xfgbm2qpckmmzbsfr";
      };
    };
    "nyholm/psr7" = {
      targetDir = "";
      src = fetchgit {
        name = "nyholm-psr7-23ae1f00fbc6a886cbe3062ca682391b9cc7c37b";
        url = "https://github.com/Nyholm/psr7.git";
        rev = "23ae1f00fbc6a886cbe3062ca682391b9cc7c37b";
        sha256 = "0r8wb31f2rsw2lrbfw99ar0k8cfkh7qyyhj8mqc90l0bp1ls6xf1";
      };
    };
    "onelogin/php-saml" = {
      targetDir = "";
      src = fetchgit {
        name = "onelogin-php-saml-a7328b11887660ad248ea10952dd67a5aa73ba3b";
        url = "https://github.com/onelogin/php-saml.git";
        rev = "a7328b11887660ad248ea10952dd67a5aa73ba3b";
        sha256 = "1zqp1qva15x2wavhz947x6rr63n2a7wx8grv290azikhszkhxk8p";
      };
    };
    "opis/closure" = {
      targetDir = "";
      src = fetchgit {
        name = "opis-closure-06e2ebd25f2869e54a306dda991f7db58066f7f6";
        url = "https://github.com/opis/closure.git";
        rev = "06e2ebd25f2869e54a306dda991f7db58066f7f6";
        sha256 = "0jwjrpi3mwbcwx9k20y6v3m8klk0zx1s75brixmzl4ndkgc3rsgb";
      };
    };
    "paragonie/constant_time_encoding" = {
      targetDir = "";
      src = fetchgit {
        name = "paragonie-constant_time_encoding-f34c2b11eb9d2c9318e13540a1dbc2a3afbd939c";
        url = "https://github.com/paragonie/constant_time_encoding.git";
        rev = "f34c2b11eb9d2c9318e13540a1dbc2a3afbd939c";
        sha256 = "0dqcrg22yfmk75px852vhmpkam6ay9xmmm6hvfnwqq1pf9a5k7h5";
      };
    };
    "paragonie/random_compat" = {
      targetDir = "";
      src = fetchgit {
        name = "paragonie-random_compat-84b4dfb120c6f9b4ff7b3685f9b8f1aa365a0c95";
        url = "https://github.com/paragonie/random_compat.git";
        rev = "84b4dfb120c6f9b4ff7b3685f9b8f1aa365a0c95";
        sha256 = "1p7kwj9wplv8pvn752adhmbnsbhar270minib831d3jngr3glkfh";
      };
    };
    "patchwork/utf8" = {
      targetDir = "";
      src = fetchgit {
        name = "patchwork-utf8-e1fa4d4a57896d074c9a8d01742b688d5db4e9d5";
        url = "https://github.com/tchwork/utf8.git";
        rev = "e1fa4d4a57896d074c9a8d01742b688d5db4e9d5";
        sha256 = "1a67mlw4nm3qd7drcjpfd7k2fdhkqzd4x106dl86gl28zczkw57r";
      };
    };
    "php-http/message-factory" = {
      targetDir = "";
      src = fetchgit {
        name = "php-http-message-factory-a478cb11f66a6ac48d8954216cfed9aa06a501a1";
        url = "https://github.com/php-http/message-factory.git";
        rev = "a478cb11f66a6ac48d8954216cfed9aa06a501a1";
        sha256 = "0qd3ba6wrshkmb6lympb0hvsnmy2hd269yyz3m1wwf4z08mi3zkf";
      };
    };
    "php-parallel-lint/php-console-color" = {
      targetDir = "";
      src = fetchgit {
        name = "php-parallel-lint-php-console-color-b6af326b2088f1ad3b264696c9fd590ec395b49e";
        url = "https://github.com/php-parallel-lint/PHP-Console-Color.git";
        rev = "b6af326b2088f1ad3b264696c9fd590ec395b49e";
        sha256 = "0fcypy46jpbm6bvpby09a4q0q1rby3msy1k9gv7r7qgl1s3s81w9";
      };
    };
    "php-parallel-lint/php-console-highlighter" = {
      targetDir = "";
      src = fetchgit {
        name = "php-parallel-lint-php-console-highlighter-21bf002f077b177f056d8cb455c5ed573adfdbb8";
        url = "https://github.com/php-parallel-lint/PHP-Console-Highlighter.git";
        rev = "21bf002f077b177f056d8cb455c5ed573adfdbb8";
        sha256 = "1gvm0hai3pj4nz6f69ifq6jz4p7gzm8m4yj3dyd1qpwkn3008dp5";
      };
    };
    "phpdocumentor/reflection-common" = {
      targetDir = "";
      src = fetchgit {
        name = "phpdocumentor-reflection-common-1d01c49d4ed62f25aa84a747ad35d5a16924662b";
        url = "https://github.com/phpDocumentor/ReflectionCommon.git";
        rev = "1d01c49d4ed62f25aa84a747ad35d5a16924662b";
        sha256 = "1q685cpwbfxqy42iz61xxv6zbcc1qskn07nkipflj6c5s935l8jy";
      };
    };
    "phpdocumentor/reflection-docblock" = {
      targetDir = "";
      src = fetchgit {
        name = "phpdocumentor-reflection-docblock-069a785b2141f5bcf49f3e353548dc1cce6df556";
        url = "https://github.com/phpDocumentor/ReflectionDocBlock.git";
        rev = "069a785b2141f5bcf49f3e353548dc1cce6df556";
        sha256 = "1wqz7wyaajys01sjzkz4my7jh9wsv8rjl5hgp7kyijld70k66jg5";
      };
    };
    "phpdocumentor/type-resolver" = {
      targetDir = "";
      src = fetchgit {
        name = "phpdocumentor-type-resolver-6a467b8989322d92aa1c8bf2bebcc6e5c2ba55c0";
        url = "https://github.com/phpDocumentor/TypeResolver.git";
        rev = "6a467b8989322d92aa1c8bf2bebcc6e5c2ba55c0";
        sha256 = "1md1xb7vvdf0a9nwism4i6kwpa46hyv98wr60hi0yx9vkrg0djxj";
      };
    };
    "phpoption/phpoption" = {
      targetDir = "";
      src = fetchgit {
        name = "phpoption-phpoption-994ecccd8f3283ecf5ac33254543eb0ac946d525";
        url = "https://github.com/schmittjoh/php-option.git";
        rev = "994ecccd8f3283ecf5ac33254543eb0ac946d525";
        sha256 = "1fccpaixa8hsxd9629d6hc0r0s6hflbmk3syxm72iy274p3vha2s";
      };
    };
    "phpseclib/phpseclib" = {
      targetDir = "";
      src = fetchgit {
        name = "phpseclib-phpseclib-f5c4c19880d45d0be3e7d24ae8ac434844a898cd";
        url = "https://github.com/phpseclib/phpseclib.git";
        rev = "f5c4c19880d45d0be3e7d24ae8ac434844a898cd";
        sha256 = "1w1w3k24dwx2kw3wrxcbpdlwwy3n6lqdvn3lp26k7ml1mdzm0k99";
      };
    };
    "phpspec/prophecy" = {
      targetDir = "";
      src = fetchgit {
        name = "phpspec-prophecy-be1996ed8adc35c3fd795488a653f4b518be70ea";
        url = "https://github.com/phpspec/prophecy.git";
        rev = "be1996ed8adc35c3fd795488a653f4b518be70ea";
        sha256 = "0qyqsjr079s6q9lzyv4njj0nmwfjhg35qa7028vsjvdbdcy7721j";
      };
    };
    "pragmarx/google2fa" = {
      targetDir = "";
      src = fetchgit {
        name = "pragmarx-google2fa-26c4c5cf30a2844ba121760fd7301f8ad240100b";
        url = "https://github.com/antonioribeiro/google2fa.git";
        rev = "26c4c5cf30a2844ba121760fd7301f8ad240100b";
        sha256 = "1dn48a7avqbalvl62phf5nf5zrlbxq33wgpyag0w1kq9vl6sh4rn";
      };
    };
    "pragmarx/google2fa-laravel" = {
      targetDir = "";
      src = fetchgit {
        name = "pragmarx-google2fa-laravel-f9014fd7ea36a1f7fffa233109cf59b209469647";
        url = "https://github.com/antonioribeiro/google2fa-laravel.git";
        rev = "f9014fd7ea36a1f7fffa233109cf59b209469647";
        sha256 = "1hkhd2jbqbpyf7bwx9klf1zvr8ichzall5hh75br71fk9gs40r8n";
      };
    };
    "pragmarx/google2fa-qrcode" = {
      targetDir = "";
      src = fetchgit {
        name = "pragmarx-google2fa-qrcode-fd5ff0531a48b193a659309cc5fb882c14dbd03f";
        url = "https://github.com/antonioribeiro/google2fa-qrcode.git";
        rev = "fd5ff0531a48b193a659309cc5fb882c14dbd03f";
        sha256 = "1xncjigf98c8iygch3whkij1c93kbg0r4lbsgh92j32yi42pnkcf";
      };
    };
    "psr/cache" = {
      targetDir = "";
      src = fetchgit {
        name = "psr-cache-d11b50ad223250cf17b86e38383413f5a6764bf8";
        url = "https://github.com/php-fig/cache.git";
        rev = "d11b50ad223250cf17b86e38383413f5a6764bf8";
        sha256 = "165nhqrqh7q2rrxz86iywv5nkyr0ybxfbnmcxk54bsy6yhkhvg3s";
      };
    };
    "psr/container" = {
      targetDir = "";
      src = fetchgit {
        name = "psr-container-8622567409010282b7aeebe4bb841fe98b58dcaf";
        url = "https://github.com/php-fig/container.git";
        rev = "8622567409010282b7aeebe4bb841fe98b58dcaf";
        sha256 = "0nkpplp3nsgqflyxs7aqvi6q6sg63dwqcgs091wwh9wcqd8dvw86";
      };
    };
    "psr/http-factory" = {
      targetDir = "";
      src = fetchgit {
        name = "psr-http-factory-12ac7fcd07e5b077433f5f2bee95b3a771bf61be";
        url = "https://github.com/php-fig/http-factory.git";
        rev = "12ac7fcd07e5b077433f5f2bee95b3a771bf61be";
        sha256 = "0vq042m4m0i8kilqywfkywv785myyp61flbjl984llzkkds5gxy9";
      };
    };
    "psr/http-message" = {
      targetDir = "";
      src = fetchgit {
        name = "psr-http-message-f6561bf28d520154e4b0ec72be95418abe6d9363";
        url = "https://github.com/php-fig/http-message.git";
        rev = "f6561bf28d520154e4b0ec72be95418abe6d9363";
        sha256 = "0vl1qzc780wfhyfbarvnyqsd530kz32g3iv1ijcr3x1apifrsppx";
      };
    };
    "psr/log" = {
      targetDir = "";
      src = fetchgit {
        name = "psr-log-d49695b909c3b7628b6289db5479a1c204601f11";
        url = "https://github.com/php-fig/log.git";
        rev = "d49695b909c3b7628b6289db5479a1c204601f11";
        sha256 = "1572yv1lv5kklgjx6c9dzgq2idx0j95livs80x345h41i1f12n30";
      };
    };
    "psr/simple-cache" = {
      targetDir = "";
      src = fetchgit {
        name = "psr-simple-cache-408d5eafb83c57f6365a3ca330ff23aa4a5fa39b";
        url = "https://github.com/php-fig/simple-cache.git";
        rev = "408d5eafb83c57f6365a3ca330ff23aa4a5fa39b";
        sha256 = "02yrfcycry2h4k25v71nihdl0nl6hilv023sp19mwwcgwfigf7y4";
      };
    };
    "psy/psysh" = {
      targetDir = "";
      src = fetchgit {
        name = "psy-psysh-e4573f47750dd6c92dca5aee543fa77513cbd8d3";
        url = "https://github.com/bobthecow/psysh.git";
        rev = "e4573f47750dd6c92dca5aee543fa77513cbd8d3";
        sha256 = "1n74jamhpx0jyfq06ygyq79h392fz2lqvccw8jc6s1h92cvmw1yq";
      };
    };
    "ralouphie/getallheaders" = {
      targetDir = "";
      src = fetchgit {
        name = "ralouphie-getallheaders-120b605dfeb996808c31b6477290a714d356e822";
        url = "https://github.com/ralouphie/getallheaders.git";
        rev = "120b605dfeb996808c31b6477290a714d356e822";
        sha256 = "06b04had20vs9jbl55askh68jm3fck53mbjxhhzsa6i2h3fgz3dk";
      };
    };
    "ramsey/uuid" = {
      targetDir = "";
      src = fetchgit {
        name = "ramsey-uuid-7e1633a6964b48589b142d60542f9ed31bd37a92";
        url = "https://github.com/ramsey/uuid.git";
        rev = "7e1633a6964b48589b142d60542f9ed31bd37a92";
        sha256 = "1pnfnbnrzfsrr6d5dgxhghckzrb2xs5h86qkcvwq6hshpaja267n";
      };
    };
    "robrichards/xmlseclibs" = {
      targetDir = "";
      src = fetchgit {
        name = "robrichards-xmlseclibs-f8f19e58f26cdb42c54b214ff8a820760292f8df";
        url = "https://github.com/robrichards/xmlseclibs.git";
        rev = "f8f19e58f26cdb42c54b214ff8a820760292f8df";
        sha256 = "0nc2s9g9l5rd5yhpncskaw742fb6k3pbw881jp2nc31rvryzp8c6";
      };
    };
    "rollbar/rollbar" = {
      targetDir = "";
      src = fetchgit {
        name = "rollbar-rollbar-ff3db5739dd635740caed02ddad43e671b5a37e5";
        url = "https://github.com/rollbar/rollbar-php.git";
        rev = "ff3db5739dd635740caed02ddad43e671b5a37e5";
        sha256 = "10g8asz2524nzkimxa7kk94p0jpqr49dxi426v3lzzqqsbv4jl7v";
      };
    };
    "rollbar/rollbar-laravel" = {
      targetDir = "";
      src = fetchgit {
        name = "rollbar-rollbar-laravel-11df7e19313a4cf60769d26ce35e29b09d5405cd";
        url = "https://github.com/rollbar/rollbar-php-laravel.git";
        rev = "11df7e19313a4cf60769d26ce35e29b09d5405cd";
        sha256 = "1d53hyf9j5dh2yl4pgyk0m845srgnwqwgq1maj9d33a0s2g89rkc";
      };
    };
    "sebastian/comparator" = {
      targetDir = "";
      src = fetchgit {
        name = "sebastian-comparator-1071dfcef776a57013124ff35e1fc41ccd294758";
        url = "https://github.com/sebastianbergmann/comparator.git";
        rev = "1071dfcef776a57013124ff35e1fc41ccd294758";
        sha256 = "11xarjvkxfnvx3m9azj2846w8ljhnkgqcri8gnp64z2ms201aakk";
      };
    };
    "sebastian/diff" = {
      targetDir = "";
      src = fetchgit {
        name = "sebastian-diff-14f72dd46eaf2f2293cbe79c93cc0bc43161a211";
        url = "https://github.com/sebastianbergmann/diff.git";
        rev = "14f72dd46eaf2f2293cbe79c93cc0bc43161a211";
        sha256 = "085ivgf0x853hfg81p9m6brsj1j45hgrzl3bjyps9da2vhc7ix0c";
      };
    };
    "sebastian/exporter" = {
      targetDir = "";
      src = fetchgit {
        name = "sebastian-exporter-6b853149eab67d4da22291d36f5b0631c0fd856e";
        url = "https://github.com/sebastianbergmann/exporter.git";
        rev = "6b853149eab67d4da22291d36f5b0631c0fd856e";
        sha256 = "1qrvj87vk7cqmilcgy0hhn2mprcl5ly730ds6r88rbd19pg67j01";
      };
    };
    "sebastian/recursion-context" = {
      targetDir = "";
      src = fetchgit {
        name = "sebastian-recursion-context-367dcba38d6e1977be014dc4b22f47a484dac7fb";
        url = "https://github.com/sebastianbergmann/recursion-context.git";
        rev = "367dcba38d6e1977be014dc4b22f47a484dac7fb";
        sha256 = "09jbkyd9g9bdpz8gvlcr0njpmxzm0sbr9by0xsjh2psqpp0ivngd";
      };
    };
    "spatie/db-dumper" = {
      targetDir = "";
      src = fetchgit {
        name = "spatie-db-dumper-05e5955fb882008a8947c5a45146d86cfafa10d1";
        url = "https://github.com/spatie/db-dumper.git";
        rev = "05e5955fb882008a8947c5a45146d86cfafa10d1";
        sha256 = "110mpba7dz308l86j8v7q5w0r7xy5i2nrs2kmjzb0b70r5hbisyx";
      };
    };
    "spatie/laravel-backup" = {
      targetDir = "";
      src = fetchgit {
        name = "spatie-laravel-backup-3ede36961b79b6ea4a6b5f708f2cc60fee74ad6c";
        url = "https://github.com/spatie/laravel-backup.git";
        rev = "3ede36961b79b6ea4a6b5f708f2cc60fee74ad6c";
        sha256 = "0dpa9hk42b8ph1wigq1wv4hhm7ldibcigxdcdw1na722fsfrlznl";
      };
    };
    "spatie/temporary-directory" = {
      targetDir = "";
      src = fetchgit {
        name = "spatie-temporary-directory-f517729b3793bca58f847c5fd383ec16f03ffec6";
        url = "https://github.com/spatie/temporary-directory.git";
        rev = "f517729b3793bca58f847c5fd383ec16f03ffec6";
        sha256 = "0as8yyaa5bl76hqpsgkrygqvyrn0jc746lnf0f44val8h3kqylzm";
      };
    };
    "squizlabs/php_codesniffer" = {
      targetDir = "";
      src = fetchgit {
        name = "squizlabs-php_codesniffer-ffced0d2c8fa8e6cdc4d695a743271fab6c38625";
        url = "https://github.com/squizlabs/PHP_CodeSniffer.git";
        rev = "ffced0d2c8fa8e6cdc4d695a743271fab6c38625";
        sha256 = "16fikw0m8d7n80cp5w0zh6l0dkyiz0a3wxkg00nkrd5d0283w7y4";
      };
    };
    "swiftmailer/swiftmailer" = {
      targetDir = "";
      src = fetchgit {
        name = "swiftmailer-swiftmailer-15f7faf8508e04471f666633addacf54c0ab5933";
        url = "https://github.com/swiftmailer/swiftmailer.git";
        rev = "15f7faf8508e04471f666633addacf54c0ab5933";
        sha256 = "1gbdxws5nwm7xa65dnwhj07zfdac3f83ijlhlwiwqqhsh4ds8hmh";
      };
    };
    "symfony/console" = {
      targetDir = "";
      src = fetchgit {
        name = "symfony-console-a62acecdf5b50e314a4f305cd01b5282126f3095";
        url = "https://github.com/symfony/console.git";
        rev = "a62acecdf5b50e314a4f305cd01b5282126f3095";
        sha256 = "0c03d5293ighs5b4d707fkg52jpkdbk87yqic3yh4c84pjm21fl4";
      };
    };
    "symfony/css-selector" = {
      targetDir = "";
      src = fetchgit {
        name = "symfony-css-selector-c1e29de6dc893b130b45d20d8051efbb040560a9";
        url = "https://github.com/symfony/css-selector.git";
        rev = "c1e29de6dc893b130b45d20d8051efbb040560a9";
        sha256 = "0p8b41glqjgbxz18qlhygcz9amp6m8a0xwl9nvwjnhriq0lbds4s";
      };
    };
    "symfony/debug" = {
      targetDir = "";
      src = fetchgit {
        name = "symfony-debug-a8d2d5c94438548bff9f998ca874e202bb29d07f";
        url = "https://github.com/symfony/debug.git";
        rev = "a8d2d5c94438548bff9f998ca874e202bb29d07f";
        sha256 = "11is5n9mx2nn5yps40q24l66njzpvcrp02bpg3lkwv3ylm2wknrj";
      };
    };
    "symfony/deprecation-contracts" = {
      targetDir = "";
      src = fetchgit {
        name = "symfony-deprecation-contracts-5f38c8804a9e97d23e0c8d63341088cd8a22d627";
        url = "https://github.com/symfony/deprecation-contracts.git";
        rev = "5f38c8804a9e97d23e0c8d63341088cd8a22d627";
        sha256 = "19qlzsh2vrvk1j923hmn0b2v70w3lm0fqshjpcz6q3c44mdwfkri";
      };
    };
    "symfony/error-handler" = {
      targetDir = "";
      src = fetchgit {
        name = "symfony-error-handler-310a756cec00d29d89a08518405aded046a54a8b";
        url = "https://github.com/symfony/error-handler.git";
        rev = "310a756cec00d29d89a08518405aded046a54a8b";
        sha256 = "0jv2rqz4grkbbc4wabbnsg7g13sfmrzr20npvj8ff62hxgxmp2z4";
      };
    };
    "symfony/event-dispatcher" = {
      targetDir = "";
      src = fetchgit {
        name = "symfony-event-dispatcher-047773e7016e4fd45102cedf4bd2558ae0d0c32f";
        url = "https://github.com/symfony/event-dispatcher.git";
        rev = "047773e7016e4fd45102cedf4bd2558ae0d0c32f";
        sha256 = "0qd3k5pi89xiqpp461lsmrgpjsd1ja1swbrbxv1dx33jzv10xsa6";
      };
    };
    "symfony/event-dispatcher-contracts" = {
      targetDir = "";
      src = fetchgit {
        name = "symfony-event-dispatcher-contracts-84e23fdcd2517bf37aecbd16967e83f0caee25a7";
        url = "https://github.com/symfony/event-dispatcher-contracts.git";
        rev = "84e23fdcd2517bf37aecbd16967e83f0caee25a7";
        sha256 = "1l750hlblv2lqsz2d8rxj9yz9hyagknrwnqbmqqn95l1ajc6n59y";
      };
    };
    "symfony/finder" = {
      targetDir = "";
      src = fetchgit {
        name = "symfony-finder-ed33314396d968a8936c95f5bd1b88bd3b3e94a3";
        url = "https://github.com/symfony/finder.git";
        rev = "ed33314396d968a8936c95f5bd1b88bd3b3e94a3";
        sha256 = "1ch3xdhbssarmb4x4wa0w7ym996mavwqhhmill9b1h6j0qrsbj5h";
      };
    };
    "symfony/http-client-contracts" = {
      targetDir = "";
      src = fetchgit {
        name = "symfony-http-client-contracts-7e82f6084d7cae521a75ef2cb5c9457bbda785f4";
        url = "https://github.com/symfony/http-client-contracts.git";
        rev = "7e82f6084d7cae521a75ef2cb5c9457bbda785f4";
        sha256 = "13laff1ssg3gkh63l7kc41a6l7l9izqky7lxxrj2a07islsw8dra";
      };
    };
    "symfony/http-foundation" = {
      targetDir = "";
      src = fetchgit {
        name = "symfony-http-foundation-0c79d5a65ace4fe66e49702658c024a419d2438b";
        url = "https://github.com/symfony/http-foundation.git";
        rev = "0c79d5a65ace4fe66e49702658c024a419d2438b";
        sha256 = "0kgw73sm2dcydqwg8y841s9sr0yyskq99fv7p4c2mxcrvav78jlb";
      };
    };
    "symfony/http-kernel" = {
      targetDir = "";
      src = fetchgit {
        name = "symfony-http-kernel-3795165596fe81a52296b78c9aae938d434069cc";
        url = "https://github.com/symfony/http-kernel.git";
        rev = "3795165596fe81a52296b78c9aae938d434069cc";
        sha256 = "0s6mx935ay9amvazhwwvdhfcg82cw7ikjn7plln5gxrjwam6algz";
      };
    };
    "symfony/mime" = {
      targetDir = "";
      src = fetchgit {
        name = "symfony-mime-47dd7912152b82d0d4c8d9040dbc93d6232d472a";
        url = "https://github.com/symfony/mime.git";
        rev = "47dd7912152b82d0d4c8d9040dbc93d6232d472a";
        sha256 = "0pb4sp4j7zdr21pc28pggc2pflfrxcip1ri7vv34z1zw1fanakc9";
      };
    };
    "symfony/polyfill-ctype" = {
      targetDir = "";
      src = fetchgit {
        name = "symfony-polyfill-ctype-46cd95797e9df938fdd2b03693b5fca5e64b01ce";
        url = "https://github.com/symfony/polyfill-ctype.git";
        rev = "46cd95797e9df938fdd2b03693b5fca5e64b01ce";
        sha256 = "158dr04w1xbhcz55ndg6vi1w9fw592qd9ba3dv3i28q3a401w75j";
      };
    };
    "symfony/polyfill-iconv" = {
      targetDir = "";
      src = fetchgit {
        name = "symfony-polyfill-iconv-63b5bb7db83e5673936d6e3b8b3e022ff6474933";
        url = "https://github.com/symfony/polyfill-iconv.git";
        rev = "63b5bb7db83e5673936d6e3b8b3e022ff6474933";
        sha256 = "1f2k8nm3a4rb3nazzy5g4vqanyql7m822zp5x4d1x9wfaygylkxq";
      };
    };
    "symfony/polyfill-intl-idn" = {
      targetDir = "";
      src = fetchgit {
        name = "symfony-polyfill-intl-idn-65bd267525e82759e7d8c4e8ceea44f398838e65";
        url = "https://github.com/symfony/polyfill-intl-idn.git";
        rev = "65bd267525e82759e7d8c4e8ceea44f398838e65";
        sha256 = "1rf0qz2fr86rkynm64mz58d3hydaikpdks6wn6lkigfrgwd5zvx9";
      };
    };
    "symfony/polyfill-intl-normalizer" = {
      targetDir = "";
      src = fetchgit {
        name = "symfony-polyfill-intl-normalizer-8590a5f561694770bdcd3f9b5c69dde6945028e8";
        url = "https://github.com/symfony/polyfill-intl-normalizer.git";
        rev = "8590a5f561694770bdcd3f9b5c69dde6945028e8";
        sha256 = "0n4xbw4rxxaqz7a10v8q6ah6vrj6z2dx2mnwsym2pxfl4zvhh8lk";
      };
    };
    "symfony/polyfill-mbstring" = {
      targetDir = "";
      src = fetchgit {
        name = "symfony-polyfill-mbstring-2df51500adbaebdc4c38dea4c89a2e131c45c8a1";
        url = "https://github.com/symfony/polyfill-mbstring.git";
        rev = "2df51500adbaebdc4c38dea4c89a2e131c45c8a1";
        sha256 = "1yk30rfljfmkwxany0qfrm1q7hbsg7c9ig3b1690bggd1rdixfba";
      };
    };
    "symfony/polyfill-php72" = {
      targetDir = "";
      src = fetchgit {
        name = "symfony-polyfill-php72-9a142215a36a3888e30d0a9eeea9766764e96976";
        url = "https://github.com/symfony/polyfill-php72.git";
        rev = "9a142215a36a3888e30d0a9eeea9766764e96976";
        sha256 = "0xy16jafi521lh906gq8kxnp2vs726a7j4lj7h3ipmfh4wzcchsq";
      };
    };
    "symfony/polyfill-php73" = {
      targetDir = "";
      src = fetchgit {
        name = "symfony-polyfill-php73-fba8933c384d6476ab14fb7b8526e5287ca7e010";
        url = "https://github.com/symfony/polyfill-php73.git";
        rev = "fba8933c384d6476ab14fb7b8526e5287ca7e010";
        sha256 = "13ps97sja6k0waq112krxhi7gl09qcdcvx6k6bjnldj6p756vn8p";
      };
    };
    "symfony/polyfill-php80" = {
      targetDir = "";
      src = fetchgit {
        name = "symfony-polyfill-php80-eca0bf41ed421bed1b57c4958bab16aa86b757d0";
        url = "https://github.com/symfony/polyfill-php80.git";
        rev = "eca0bf41ed421bed1b57c4958bab16aa86b757d0";
        sha256 = "0wr21bv5k24pmw78m9zfgagsgx4880g8padsipx2gf0m1g9y3rj3";
      };
    };
    "symfony/process" = {
      targetDir = "";
      src = fetchgit {
        name = "symfony-process-cd61e6dd273975c6625316de9d141ebd197f93c9";
        url = "https://github.com/symfony/process.git";
        rev = "cd61e6dd273975c6625316de9d141ebd197f93c9";
        sha256 = "04bz4z5z97i9smgbhsv5n7vm3ylf8q22a9k0xbr8znl7kd76xwsq";
      };
    };
    "symfony/psr-http-message-bridge" = {
      targetDir = "";
      src = fetchgit {
        name = "symfony-psr-http-message-bridge-81db2d4ae86e9f0049828d9343a72b9523884e5d";
        url = "https://github.com/symfony/psr-http-message-bridge.git";
        rev = "81db2d4ae86e9f0049828d9343a72b9523884e5d";
        sha256 = "1kqr4s979f6fsg7glbj68qhrgzl98adgq9v2rqf6d6bs9hvpnkcp";
      };
    };
    "symfony/routing" = {
      targetDir = "";
      src = fetchgit {
        name = "symfony-routing-3a3c2f197ad0846ac6413225fc78868ba1c61434";
        url = "https://github.com/symfony/routing.git";
        rev = "3a3c2f197ad0846ac6413225fc78868ba1c61434";
        sha256 = "13py8pn48ank7w5cfjj1br3hjm7s555bl2ld5fl1lz0yijcz9aw2";
      };
    };
    "symfony/service-contracts" = {
      targetDir = "";
      src = fetchgit {
        name = "symfony-service-contracts-f040a30e04b57fbcc9c6cbcf4dbaa96bd318b9bb";
        url = "https://github.com/symfony/service-contracts.git";
        rev = "f040a30e04b57fbcc9c6cbcf4dbaa96bd318b9bb";
        sha256 = "0rk9l6nr2fna61qjf2abwm3d9l1c18ihzdkyq57rzq7cmv1nykg5";
      };
    };
    "symfony/translation" = {
      targetDir = "";
      src = fetchgit {
        name = "symfony-translation-dfe132c5c6d89f90ce7f961742cc532e9ca16dd4";
        url = "https://github.com/symfony/translation.git";
        rev = "dfe132c5c6d89f90ce7f961742cc532e9ca16dd4";
        sha256 = "1sp90rz10axi0n0b1443pw2nr5pwbxnndn1z4d93mfmrishgqzn2";
      };
    };
    "symfony/translation-contracts" = {
      targetDir = "";
      src = fetchgit {
        name = "symfony-translation-contracts-95c812666f3e91db75385749fe219c5e494c7f95";
        url = "https://github.com/symfony/translation-contracts.git";
        rev = "95c812666f3e91db75385749fe219c5e494c7f95";
        sha256 = "07imq3cid5sd9jafx58zak1b1m2d1pkiznvjx2f9l45dc1q0caqv";
      };
    };
    "symfony/var-dumper" = {
      targetDir = "";
      src = fetchgit {
        name = "symfony-var-dumper-31ea689a8e7d2410016b0d25fc15a1ba05a6e2e0";
        url = "https://github.com/symfony/var-dumper.git";
        rev = "31ea689a8e7d2410016b0d25fc15a1ba05a6e2e0";
        sha256 = "1y1q7mgy15f3fg6r8a9skfmlda3k00q6bmphp5k9nzs745sa0ph3";
      };
    };
    "tecnickcom/tc-lib-barcode" = {
      targetDir = "";
      src = fetchgit {
        name = "tecnickcom-tc-lib-barcode-a8a7183e2be6379e522dc825a3b7a3af5394a9e7";
        url = "https://github.com/tecnickcom/tc-lib-barcode.git";
        rev = "a8a7183e2be6379e522dc825a3b7a3af5394a9e7";
        sha256 = "0nqmipfdzbaf602srnrn3zngr8b9nn67vr18163bpl22jkgd648d";
      };
    };
    "tecnickcom/tc-lib-color" = {
      targetDir = "";
      src = fetchgit {
        name = "tecnickcom-tc-lib-color-83cdb57fd900901c6aa2af8cfd67202518fb69b2";
        url = "https://github.com/tecnickcom/tc-lib-color.git";
        rev = "83cdb57fd900901c6aa2af8cfd67202518fb69b2";
        sha256 = "16k7k45zi4sdccjnsb3p815aj8plya9ak07x5x9nkw6dxv6ycrl1";
      };
    };
    "tightenco/collect" = {
      targetDir = "";
      src = fetchgit {
        name = "tightenco-collect-b069783ab0c547bb894ebcf8e7f6024bb401f9d2";
        url = "https://github.com/tighten/collect.git";
        rev = "b069783ab0c547bb894ebcf8e7f6024bb401f9d2";
        sha256 = "1c5w4zwxpnbc1gggm6xmyigyi0sgf99hdbxf7lw12cgaj7pa9lv1";
      };
    };
    "tightenco/ziggy" = {
      targetDir = "";
      src = fetchgit {
        name = "tightenco-ziggy-82ea6ec6cb6ab3545b0245310b2a424316fe48d8";
        url = "https://github.com/tighten/ziggy.git";
        rev = "82ea6ec6cb6ab3545b0245310b2a424316fe48d8";
        sha256 = "0ij6vv3nyckjrb0n44w1jr42y4n1hb7h69l07b53zczkvl41amgs";
      };
    };
    "tijsverkoyen/css-to-inline-styles" = {
      targetDir = "";
      src = fetchgit {
        name = "tijsverkoyen-css-to-inline-styles-b43b05cf43c1b6d849478965062b6ef73e223bb5";
        url = "https://github.com/tijsverkoyen/CssToInlineStyles.git";
        rev = "b43b05cf43c1b6d849478965062b6ef73e223bb5";
        sha256 = "038q6zbx056b2waz85s0frzlis3cknqnqpfix8jybkjwj73bx32l";
      };
    };
    "unicodeveloper/laravel-password" = {
      targetDir = "";
      src = fetchgit {
        name = "unicodeveloper-laravel-password-806e345ae992e0adf38c4cfa32063d7d7c9d189a";
        url = "https://github.com/unicodeveloper/laravel-password.git";
        rev = "806e345ae992e0adf38c4cfa32063d7d7c9d189a";
        sha256 = "0321mgmk0cfalr99fd2d5v6dg9q3ddxy394pg80hq4kwgryhqrrq";
      };
    };
    "vlucas/phpdotenv" = {
      targetDir = "";
      src = fetchgit {
        name = "vlucas-phpdotenv-5e679f7616db829358341e2d5cccbd18773bdab8";
        url = "https://github.com/vlucas/phpdotenv.git";
        rev = "5e679f7616db829358341e2d5cccbd18773bdab8";
        sha256 = "0lmms1prpsm165p4apdv7ybcbxz8lb75jbh97jvzd0npxzhrhs9b";
      };
    };
    "watson/validating" = {
      targetDir = "";
      src = fetchgit {
        name = "watson-validating-b8731af37eade6b25aac1fcec5e90fdfdb9de5f5";
        url = "https://github.com/dwightwatson/validating.git";
        rev = "b8731af37eade6b25aac1fcec5e90fdfdb9de5f5";
        sha256 = "1l602llzk2i6689hn73kwxgnv1kzj3ha3kqd344491dnfbgxz601";
      };
    };
    "webmozart/assert" = {
      targetDir = "";
      src = fetchgit {
        name = "webmozart-assert-6964c76c7804814a842473e0c8fd15bab0f18e25";
        url = "https://github.com/webmozarts/assert.git";
        rev = "6964c76c7804814a842473e0c8fd15bab0f18e25";
        sha256 = "1fh1i8z1i6fh8zjqhz2yfh1l4w48w3wa4rqfikf4j0b7a4bgan8m";
      };
    };
  };
  devPackages = {};
in
composerEnv.buildPackage {
  inherit packages devPackages noDev;
  name = "snipe-it";
  src = ./.;
  executable = false;
  symlinkDependencies = false;
  meta = {
    license = "AGPL-3.0-or-later";
  };
}
